Skip to main content
GET
/
api
/
OrderEvents
/
solanaDepositsAndWithdrawals
Returns information about Solana transactions in a given block range
curl --request GET \
  --url https://dln-api.debridge.finance/api/OrderEvents/solanaDepositsAndWithdrawals
import requests

url = "https://dln-api.debridge.finance/api/OrderEvents/solanaDepositsAndWithdrawals"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://dln-api.debridge.finance/api/OrderEvents/solanaDepositsAndWithdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "blockNumber": 123,
    "blockTimestamp": 123,
    "txHash": "<string>",
    "from": "<string>",
    "to": "<string>",
    "token": "<string>",
    "amount": "<string>",
    "isDeposit": true,
    "giveAmountUSD": 123
  }
]
{
"message": "<string>",
"errorCode": 123
}
{
"message": "<string>",
"errorCode": 123
}
{
"message": "<string>",
"errorCode": 123
}

Query Parameters

fromBlock
integer<int64>

first block to get events from

toBlock
integer<int64>

last block to get events from

Response

OK

blockNumber
integer<int64>

Number of the block the event was emitted it

blockTimestamp
integer<int64>

Timestamp of the block the event was emitted it

txHash
string | null

Hash of the transaction

from
string | null

Maker's address

to
string | null

Receiver's address

token
string | null

GiveToken address

amount
string | null

Give amount

isDeposit
boolean

True if current event is unlock event, false if it is unlock event

giveAmountUSD
number<double> | null

USD equivalent for GiveAmount